<template>

  <footer class="container footer" v-if="!isMobile">
    <nav class="footer__nav">
      <ul class="footer__menu">
        <li v-for="menuItem in menuItems" :key="menuItem.name"
            class="footer__menu-item">
          <nuxt-link :to="menuItem.link"
                     class="footer__menu-link">
            {{menuItem.name}}
          </nuxt-link>
        </li>

      </ul>
    </nav>

    <div class="footer__contacts">
      <div class="footer__contacts-item">
        <a href="tel:+74952121155" class="footer__contacts-info">+7 495 212 11 55</a>
        <span class="footer__contacts-label">по вопросам бронирования</span>
      </div>
      <div class="footer__contacts-item">
        <a href="mailto:info@deliroom.ru" class="footer__contacts-info">info@deliroom.ru</a>
        <span class="footer__contacts-label">вопросы и предложения</span>
      </div>

      <div class="footer__contacts-item">
        <nuxt-link to="/partners" class="button button--gray">Партнёрам</nuxt-link>
      </div>
    </div>

    <div class="footer__left">
      <span class="footer__copy">© 2020 Делирум. Все права защищены.</span>
      <a href="/user_agreement.pdf" target="_blank" class="footer__public">Публичная оферта</a>
    </div>

    <div class="footer__right">
      <a href="/privacy_policy.pdf" target="_blank" class="footer__policy">Политика обработки персональных данных</a>
      <div class="footer__socials">
        <a href="https://ru-ru.facebook.com/" target="_blank" class="footer__socials-item">
          <icon-facebook/>
        </a>
        <a href="https://www.instagram.com/" target="_blank" class="footer__socials-item">
          <icon-insta/>
        </a>
        <a href="https://www.youtube.com/" target="_blank" class="footer__socials-item">
          <icon-youtube/>
        </a>
      </div>
    </div>
  </footer>

  <footer class="container footer" v-else>
    <nav class="footer__nav">
      <ul class="footer__menu">
        <li v-for="menuItem in menuItems" :key="menuItem.name"
            class="footer__menu-item">
          <nuxt-link :to="menuItem.link"
                     class="footer__menu-link">
            {{menuItem.name}}
          </nuxt-link>
        </li>

      </ul>
    </nav>

    <div class="footer__contacts-row">
      <div class="footer__contacts-item">
        <a href="tel:+74952121155" class="footer__contacts-info">+7 495 212 11 55</a>
        <span class="footer__contacts-label">по вопросам бронирования</span>
      </div>

      <a href="/privacy_policy.pdf" target="_blank" class="footer__policy">Политика обработки персональных данных</a>
    </div>

    <div class="footer__contacts-row">
      <div class="footer__contacts-item">
        <a href="mailto:info@deliroom.ru" class="footer__contacts-info">info@deliroom.ru</a>
        <span class="footer__contacts-label">вопросы и предложения</span>
      </div>

      <a href="/user_agreement.pdf" target="_blank" class="footer__public">Публичная оферта</a>
    </div>

    <div class="footer__socials-row">
      <div class="footer__socials">
        <a href="https://ru-ru.facebook.com/" target="_blank" class="footer__socials-item">
          <icon-facebook/>
        </a>
        <a href="https://www.instagram.com/" target="_blank" class="footer__socials-item">
          <icon-insta/>
        </a>
        <a href="https://www.youtube.com/" target="_blank" class="footer__socials-item">
          <icon-youtube/>
        </a>
      </div>

      <nuxt-link to="/partners" class="button button--gray">Партнёрам</nuxt-link>
    </div>

    <span class="footer__copy">© 2020 Делирум. Все права защищены.</span>
  </footer>
</template>

<script>
  import IconFacebook from '../components/icons/IconFacebook';
  import IconInsta from '../components/icons/IconInsta';
  import IconYoutube from '../components/icons/IconYoutube';

  export default {
    name: 'Footer',
    components: {
      IconFacebook,
      IconInsta,
      IconYoutube
    },
    data: () => ({
      menuItems: [
        { name: 'О нас', link: '/about' },
        { name: 'Отзывы', link: '/reviews' },
        { name: 'Контакты', link: '/contacts' },
        { name: 'Помещения', link: '/places' },
        { name: 'Правила', link: '/rules' },
        { name: 'Как это работает', link: '/rules' },
      ]
    }),
    computed: {
      isMobile() {
        return this.$store.state.isMobile;
      }
    }
  }
</script>

<style lang="scss">
  @import '~assets/scss/variables.scss';
  @import '~assets/scss/mixins.scss';

  .footer {
    display: flex;
    flex-flow: wrap;
    padding-top: rem(80);
    padding-bottom: rem(80);

    @media (max-width: $mobile-width) {
      padding-top: rem(32);
      padding-bottom: rem(32);
    }

    &__nav, &__contacts, &__left, &__right {
      flex: 0 0 50%;
      width: 50%;

      @media (max-width: $mobile-width) {
        flex: 0 0 100%;
        width: 100%;
      }
    }

    &__left, &__right {
      display: flex;
      align-items: center;
      margin-top: rem(56);
    }

    &__right {
      justify-content: space-between;
    }

    &__menu {
      display: flex;
      flex-flow: wrap;

      margin: rem(-12) 0;
    }

    &__menu-item {
      flex: 0 0 33.33%;
      width: 33.33%;

      margin: rem(10) 0;

      white-space: nowrap;
    }

    &__menu-link {
      @include bold-black-link;
      @include main-link;
    }

    &__contacts {
      display: flex;
      align-items: center;
      justify-content: space-between;
    }

    &__contacts-item {
      display: flex;
      flex-flow: column;
    }

    &__contacts-info {
      @include main-link;

      margin-bottom: rem(4);

      font-size: rem(14);
      line-height: rem(18);
      color: $black;
    }

    &__contacts-label,
    &__copy,
    &__public,
    &__policy,
    &__creator {
      @include p3;
    }

    &__copy {
      flex: 0 0 66.66%;
      width: 66.66%;
    }

    &__public,
    &__policy {
      @include main-link;
    }

    &__socials {
      display: flex;
      align-items: center;
    }

    &__socials-item {
      &:hover {
        svg {
          fill: $green;

          path {
            opacity: 1;
          }
        }
      }

      & + & {
        margin-left: rem(20);
      }
    }

    @media (max-width: $mobile-width) {
      &__contacts-row {
        display: flex;
        width: 100%;

        margin-top: rem(24);

        .footer__contacts-item {
          flex: 0 0 60%;
          width: 60%;
        }
      }

      &__socials-row {
        display: flex;
        align-items: center;
        justify-content: space-between;

        width: 100%;
        margin-top: rem(40);
      }

      &__copy {
        display: inline-flex;
        margin-top: rem(36);
      }

      &__menu-item:nth-child(3n - 1) {
        flex: 0 0 26.67%;
        width: 26.67%;
      }
    }
  }
</style>
